BizKitHub
DocsAPI ReferenceWarehouse/bff/warehouse/location/create
postWarehouseAdmin BFF

/bff/warehouse/location/create

Create a location

WarehousepostBffWarehouseLocationCreate

Parameters

JSON body

Request body

application/json
warehouseIdnumberRequired
codestringRequired
Length: 164
namestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
parentLocationIdnumber | nullOptional
One of 2:
Variant 1
number
Variant 2
null
isActivebooleanOptional

Response schema

1 status code documented

200Success
successbooleanRequired
idnumberRequired

Response example

application/json
{
  "success": false,
  "id": 0
}

Request example

POST /bff/warehouse/location/create

post
curl -X POST "https://api.bizkithub.com/bff/warehouse/location/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "warehouseId": 0,
  "code": "example_code",
  "isActive": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key